/*
 *  Copyright 2010 argius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
package net.argius.logging;

/**
 * ɏo͂ȂLoggerB
 */
final class NullLogger implements Logger {

    /* @see net.argius.logging.Logger#setLevel(java.lang.String) */
    public void setLevel(String level) {
        // empty
    }

    /* @see net.argius.logging.Logger#isInfoEnabled() */
    public boolean isInfoEnabled() {
        return false;
    }

    /* @see net.argius.logging.Logger#isDebugEnabled() */
    public boolean isDebugEnabled() {
        return false;
    }

    /* @see net.argius.logging.Logger#isTraceEnabled() */
    public boolean isTraceEnabled() {
        return false;
    }

    /* @see net.argius.logging.Logger#fatal(java.lang.Object, java.lang.Throwable) */
    public void fatal(Object object, Throwable th) {
        // empty
    }

    /* @see net.argius.logging.Logger#fatal(java.lang.Object) */
    public void fatal(Object object) {
        // empty
    }

    /* @see net.argius.logging.Logger#error(java.lang.Object, java.lang.Throwable) */
    public void error(Object object, Throwable th) {
        // empty
    }

    /* @see net.argius.logging.Logger#error(java.lang.Object) */
    public void error(Object object) {
        // empty
    }

    /* @see net.argius.logging.Logger#warn(java.lang.Object, java.lang.Throwable) */
    public void warn(Object object, Throwable th) {
        // empty
    }

    /* @see net.argius.logging.Logger#warn(java.lang.Object) */
    public void warn(Object object) {
        // empty
    }

    /* @see net.argius.logging.Logger#info(java.lang.Object, java.lang.Throwable) */
    public void info(Object object, Throwable th) {
        // empty
    }

    /* @see net.argius.logging.Logger#info(java.lang.Object) */
    public void info(Object object) {
        // empty
    }

    /* @see net.argius.logging.Logger#debug(java.lang.Object, java.lang.Throwable) */
    public void debug(Object object, Throwable th) {
        // empty
    }

    /* @see net.argius.logging.Logger#debug(java.lang.Object) */
    public void debug(Object object) {
        // empty
    }

    /* @see net.argius.logging.Logger#trace(java.lang.Object, java.lang.Throwable) */
    public void trace(Object object, Throwable th) {
        // empty
    }

    /* @see net.argius.logging.Logger#trace(java.lang.Object) */
    public void trace(Object object) {
        // empty
    }

}
